SRED(SRED.0)

NAME
sred - heuristic state minimization of incompletely specified finite state machine

SYNOPSIS
sred [options] < inputfile [ > outputfile ]

DESCRIPTION
SRED is a state minimization program. It provides very fast heuristic minimization of large incompletely specified finite state machines using coloring and iterative closure computations. Both input and output file format is KISS2.

OPTIONS
-c: print out minimized state classes (used only for internal purposes
	by the asynchronous state encoding algorithm)
-a coloring_algorithm:    fast: a fast and greedy heuristics (recommended)
						  espresso: a minimizer-based heuristic (can be very
									slow)
						  expand_and_cover: same as above
						  espresso_exact: same as above
-h: print out the command line options.

REMARKS
After minimization there may exist multiple reset states if there was a reset state before minimization. Currently a reset state after minimization is selected randomly.